
{{#if this.value}}
  <Editor::Properties::OptionContainer @label={{t "option-panel.component"}} as |id|>
    <Input::ComponentSelectorCol @value={{this.selectedComponent}} @space={{this.space}} @gid={{this.gid}} @onChange={{this.typeChanged}} id={{id}} />
  </Editor::Properties::OptionContainer>

  {{#if this.gid}}
    <div class="text-center">
      <button class="btn btn-link btn-change-component m-2" onClick={{this.toggleChangeGlobalType}} type="button">
        {{t "option-panel.change component type"}}
      </button>
    </div>

    {{#if this.showChangeGlobalType}}
      <div class="component-selector component-selector-change-global">
        <Input::ComponentList @groups={{this.pageCols.groups}} @value={{this.type}} class="p-2" @onChange={{this.changeGlobalType}} />
      </div>
    {{/if}}

    <div class="text-center">
      <button class="btn btn-outline-secondary btn-remove-gid m-2" onClick={{this.removeGid}} type="button">
        {{t "option-panel.unlink global component"}}
      </button>
    </div>
  {{else if this.type}}
    <Input::Manage::ToGlobalPageCol class="m-2 d-grid" @space={{this.space}} @onSubmit={{this.changeGid}} />
  {{/if}}

  <Editor::Properties::OptionContainer @label={{t "option-panel.slot-name"}} as |id|>
    <Input::Text @value={{this.name}} id={{id}} class="form-control text-slot-name" @onChange={{this.changeName}} />
  </Editor::Properties::OptionContainer>
{{/if}}

<div class="d-none" {{did-insert this.ensureCol}} />